Name:           libdigidoc
Version:        3.10.2
Release:        1%{?dist}
Summary:        Library for handling digitally signed documents
License:        LGPLv2+
URL:            https://github.com/open-eid/libdigidoc
Source0:        %{url}/%{name}/releases/download/v3.10.2/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
Requires:       opensc%{?_isa}
Requires:       esteidcerts

%description
libDigiDoc is a library implementing a subset of the XAdES digital
signature standard on top of Estonian specific .ddoc container format.
It allows to create, sign, verify, and modify digidoc XML containers.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libxml2-devel
Requires:       openssl-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%{cmake} . \
 -DCMAKE_INSTALL_SYSCONFDIR=/etc

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} 

# Those certs come from another package
rm -rf %{buildroot}%{_datarootdir}/libdigidoc

%check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS README.md CONTRIBUTING.md RELEASE-NOTES.txt doc/*
%config(noreplace) %{_sysconfdir}/digidoc.conf
%{_bindir}/cdigidoc
%{_libdir}/*.so.*
%{_mandir}/man1/cdigidoc.1.*

%files devel
%doc AUTHORS README.md CONTRIBUTING.md RELEASE-NOTES.txt doc/*
%{_includedir}/libdigidoc/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so

%changelog
* Tue Feb 02 2016 Mihkel Vain <mihkel@fedoraproject.org> - 3.10.2-1
- New upstream release

* Tue Sep 22 2015 Mihkel Vain <mihkel@fedoraproject.org> - 3.10.1-1
- New upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 19 2015 Mihkel Vain <mihkel@fedoraproject.org> - 3.10.0-3
- Rebuild for gcc5

* Sat Mar 28 2015 Mihkel Vain <mihkel@fedoraproject.org> - 3.10.0-2
- Get tarball from github releases dir

* Sat Mar 28 2015 Mihkel Vain <mihkel@fedoraproject.org> - 3.10.0-1
- New upstream release
- Project moved to github

* Sun Oct 26 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.9.1.1191-1
- New upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0.1167-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul  3 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.9.0.1167-1
- New upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0.1133-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1133-2
- Use cmake macro

* Thu Apr 24 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1133-1
- First package based on new source code from RIA

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 06 2010 Kalev Lember <kalev@smartlink.ee> - 2.7.0-1
- Update to 2.7.0

* Mon Mar 29 2010 Kalev Lember <kalev@smartlink.ee> - 2.6.0-0.4.svn2670
- Spec file clean up
- Removed R: pkgconfig which is now automatically picked up by rpm
- Cleaned up nightly build changelog entries

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 2.6.0-0.1.svn701
- Initial RPM release.
